{% extends "users/userspace.html" %}

{% block content %}

<div class="container mt-5">
    
    <div class="row"> 
        <div class="col">
            <h1>Livraison du {{delivery.date_heure|date:"d/m/Y"}}</h1>
        </div>
        <div class="col text-end">
            <a class="btn btn-secondary" href="{% url 'delivery_user_emails' delivery_id=delivery.id %}" target="_blank">
                <i class="fas fa-envelope me-2"></i>Exporter liste des emails
            </a>
        </div>
    </div>

    {% if delivery.archive %}
        <div class="alert alert-warning" role="alert">
            Cette distribution est archivée.
        </div>
    {% endif %}

    <div class="table-responsive">
        <table class="table align-middle">
            <tr>
                <td>
                    Date :
                </td>
                <td>
                    {{delivery.date_heure|date:"d/m/Y"}}
                </td>
            </tr>
            <tr>
                <td>
                    Heure :
                </td>
                <td>
                    {{ delivery.date_heure|date:"H:i" }}
                </td>
            </tr>
            <tr>
                <td>
                    Durée :
                </td>
                <td>
                    {{ delivery.duree|date:"G" }} h {{ delivery.duree|date:"i" }} min
                </td>
            </tr>
            {% if delivery.lieu %}
            <tr>
                <td>
                    Lieu :
                </td>
                <td>
                    {{ delivery.lieu }}
                </td>
            </tr>
            {% endif %}
            <tr>
                <td>
                    Visibilité paysans :
                </td>
                <td>
                    {% if delivery.date_visibilite_paysans != null and not delivery.date_visibilite_paysans|is_past %} Visible le {{ delivery.date_visibilite_paysans|date:"d/m/Y" }} à {{ delivery.date_visibilite_paysans|date:"H:i" }}{% else %}Visible{% endif %}
                </td>
            </tr>
            <tr>
                <td>
                    Visibilité utilsateurs :
                </td>
                <td>
                    {% if delivery.date_visibilite_paysans != null and not delivery.date_visibilite_paysans|is_past %} Visible le {{ delivery.date_visibilite_paysans|date:"d/m/Y" }} à {{ delivery.date_visibilite_paysans|date:"H:i" }}{% else %}Visible{% endif %}
                </td>
            </tr>
            <tr>
                <td>
                    Nombre de produits :
                </td>
                <td>
                    {{ inscriptions|length }}
                </td>
            </tr>
            <tr>
                <td>
                    Est une distribution unique ? :
                </td>
                <td>
                    {% if delivery.is_a_special_distribution %}<i class="fas fa-check" style="color: green;"></i>
                    {% if delivery.date_visibilite_utilisateurs == null or delivery.date_visibilite_utilisateurs|is_past %}
                     <a class="btn btn-link" href="{% url 'distribution_speciale' delivery.id %}" target="_blank">(Page dédiée)</a>
                    {% endif %}
            {% else %}<i class="fas fa-times" style="color: red;"></i>{% endif %}
                </td>
            </tr>
        </table>
    </div>

    <h3 class="mt-3">Inscriptions Produits</h3>

    <div class="table-responsive">
        <table class="table table-striped table-hover align-middle">
            <thead>
            <tr>
                <th class="pe-1">
                    Ferme
                </th>
                <th class="pe-1">
                    Produit
                </th>
                <th class="pe-1">
                    Unités restantes
                </th>
                <th class="pe-1">
                    Signatures
                </th>
                <th class="pe-1">
                    Livraison unique ?
                </th>
                <th class="pe-1">
                    Actions
                </th>
            </tr>
            </thead>
            <tbody>
            {% for inscription in inscriptions %}
            <tr>
                <td class="pe-1">
                    <a href="{% url 'farm_details_admin' inscription.produit.ferme.id %}"
                                   target="_blank">
                    {{ inscription.produit.ferme.nom }}
                    </a>
                </td>
                <td class="pe-1">
                    <a href="{% url 'product_details_admin' inscription.produit.id %}"
                                   target="_blank">
                    {{ inscription.produit.nom }}
                    </a>
                </td>
                <td class="pe-1">
                    {% if inscription.unites_restantes == 0 %}
                    <span class="badge badge-pill bg-danger">Épuisé</span>
                    {% else %}
                    {{ inscription.unites_restantes }}
                    {% endif %}
                    
                </td>
                <td class="pe-1">
                    {% if inscription.signature_amap and inscription.signature_ferme %}<i class="fas fa-check" style="color: green;"></i>{% else %}<i class="fas fa-times" style="color: red;"></i>{% endif %}
                </td>
                <td class="pe-1">
                    {% if inscription.livraison_unique %}<i class="fas fa-check" style="color: green;"></i>{% else %}<i class="fas fa-times" style="color: red;"></i>{% endif %}
                </td>
                <td class="pe-1">
                    <a type="button" class="btn btn-link" href="{% url 'product_registration_details_admin' inscription.id %}">
                        <i class="fas fa-search me-1"></i>Details
                    </a>
                </td>
            </tr>
        {% endfor %}
        {% if inscriptions|length == 0 %}
        <tr>
            <td colspan="7" class="text-center">
            Aucun résultat
            </td>
        </tr>
        {% endif %}
            </tbody>
        </table>
    </div>
    {% pagination_widget page_obj request %}
</div>
{% endblock %}